/////////////////////////////////////////////////////////
//Component Name: Quicklookdll2021.es
//Date: 12th February 2021
//Author: Jeff Richards
//Version tested under: 2021
//////////////////////////////////////////////////

/////////////////////////////////
//collect/initialize parameters//
/////////////////////////////////
var ConfirmConditions = Param('ConfirmConditions');
if (ConfirmConditions != 'on') {
    Valid = false;
    ErrorStr = "You have not confirmed acceptance of the disclaimer";
}

AddMessage("Installation of component started");


/*
Tab groups that have been added or updated
*/

var TabsId324 = AddCustom_Tabs(0,0,1,'Company','Summary','companysummary','','','',0,'',false,0);
var TabsId325 = AddCustom_Tabs(5,1,2,'Company','QuickLook','QuickLook','','','',0,'',false,0);
var TabsId10571 = AddCustom_Tabs(0,0,4,'Company','CompanyDashboard','companydashboard','','','',0,'',false,0);
var TabsId10705 = AddCustom_Tabs(0,0,4,'Company','NewQuickLook','customdotnetdll','QuickLook','','',0,'',false,0);
AddCustom_Data('Custom_Tabs','Tabs','Tabs_TabId','Tabs_TabId,Tabs_NewWindow,Tabs_CustomFunction',TabsId10705+',"","RunQuickLook"','1');

var TabsId326 = AddCustom_Tabs(0,0,5,'Company','Key Attribute Data','dynamicdataentity','5','','',0,'',true,0);
var TabsId327 = AddCustom_Tabs(5,1,6,'Company','Marketing','companymarketing','','','',0,'',false,0);
var TabsId328 = AddCustom_Tabs(0,0,7,'Company','Notes','notelist','','','',0,'',false,0);
var TabsId329 = AddCustom_Tabs(5,1,8,'Company','Communications','communicationlist','','','',0,'',false,0);
var TabsId330 = AddCustom_Tabs(6,1,9,'Company','Opportunities','opportunitieslist','','','',0,'',false,0);
var TabsId331 = AddCustom_Tabs(7,1,10,'Company','Cases','caselist','','','',0,'',false,0);
var TabsId332 = AddCustom_Tabs(0,0,11,'Company','People','peoplelist','','','',0,'',false,0);
var TabsId333 = AddCustom_Tabs(0,0,12,'Company','Addresses','addresslist','','','',0,'',false,0);
var TabsId334 = AddCustom_Tabs(0,0,13,'Company','Phone/Email','phoneemail','','','',0,'',false,0);
var TabsId335 = AddCustom_Tabs(14,1,14,'Company','Team','teamlist','','','',0,'',false,0);
var TabsId336 = AddCustom_Tabs(0,0,15,'Company','Library','librarylist','','','',0,'',false,0);
var TabsId10580 = AddCustom_Tabs(0,0,16,'Company','Self Service','sscompanyedit','','','',0,'',true,0);


/////////Move File//////////////

AddMessage("<BR>Preparing to copy file.<BR>");

CopyFile(GetInstallDir() + "\\inf\\QuickLookDLL2021\\QuickLook.dll", GetInstallDir() + "\\CustomDotNet\\QuickLook.dll")
AddMessage("File copied.<BR>");




